Bug 196161 - Re-enable safe browsing in WKWebView
Summary: Re-enable safe browsing in WKWebView
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-22 15:11 PDT by Alex Christensen
Modified: 2020-02-19 01:38 PST (History)
8 users (show)

See Also:


Attachments
Patch (11.76 KB, patch)
2019-03-22 15:14 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.97 MB, application/zip)
2019-03-22 16:36 PDT, EWS Watchlist
no flags Details
Patch (12.08 KB, patch)
2019-03-26 12:15 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2019-03-22 15:11:43 PDT
Re-enable safe browsing in WKWebView
Comment 1 Alex Christensen 2019-03-22 15:14:00 PDT
Created attachment 365765 [details]
Patch
Comment 2 Alex Christensen 2019-03-22 15:14:03 PDT
<rdar://problem/49171413>
Comment 3 EWS Watchlist 2019-03-22 16:36:23 PDT
Comment on attachment 365765 [details]
Patch

Attachment 365765 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11617844

New failing tests:
http/tests/navigation/keyboard-events-during-provisional-navigation.html
imported/w3c/web-platform-tests/mediacapture-record/MediaRecorder-constructor.html
Comment 4 EWS Watchlist 2019-03-22 16:36:25 PDT
Created attachment 365777 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 5 Geoffrey Garen 2019-03-24 12:06:04 PDT
Comment on attachment 365765 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365765&action=review

> LayoutTests/ChangeLog:9
> +        * platform/mac-wk2/http/tests/navigation/keyboard-events-during-provisional-navigation-expected.txt:

Regressions: Unexpected text-only failures (1)
  http/tests/navigation/keyboard-events-during-provisional-navigation.html [ Failure ]
Comment 6 Alex Christensen 2019-03-26 12:15:21 PDT
Created attachment 365983 [details]
Patch
Comment 7 WebKit Commit Bot 2019-06-05 14:24:51 PDT
Comment on attachment 365983 [details]
Patch

Clearing flags on attachment: 365983

Committed r246127: <https://trac.webkit.org/changeset/246127>
Comment 8 WebKit Commit Bot 2019-06-05 14:24:52 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Michael Catanzaro 2019-06-06 10:26:37 PDT
Comment on attachment 365983 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=365983&action=review

> Source/WebKit/UIProcess/API/Cocoa/WKPreferences.h:59
> +/*! @abstract A Boolean value indicating whether warnings should be
> + shown for suspected fraudulent content such as phishing or malware.
> + @discussion The default value is YES. This feature is currently available
> + in the following region: China.
> + */
> +@property (nonatomic, getter=isFraudulentWebsiteWarningEnabled) BOOL fraudulentWebsiteWarningEnabled WK_API_AVAILABLE(macos(WK_MAC_TBA), ios(WK_IOS_TBA));

It's only available in China?
Comment 10 Maciej Stachowiak 2020-02-19 01:38:50 PST
Unfortunately, we don't currently have the ability to offer this feature in other regions.